/************************************************************
**
**       COPYRIGHT (C) 1993 UNIVERSITY OF PITTSBURGH
**       COPYRIGHT (C) 1996 GANNON UNIVERSITY
**                  ALL RIGHTS RESERVED
**
**        This software is distributed on an as-is basis
**        with no warranty implied or intended.  No author
**        or distributor takes responsibility to anyone 
**        regarding its use of or suitability.
**
**        The software may be distributed and modified 
**        freely for academic and other non-commercial
**        use but may NOT be utilized or included in whole
**        or part within any commercial product.
**
**        This copyright notice must remain on all copies 
**        and modified versions of this software.
**
************************************************************/
/* 
 *      file var.h
 * As part of MS Thesis Work, S T Frezza, UPitt Engineering
 * June, 1990
 *
 */

#ifndef VAR_H
#define VAR_H

typedef union  var_item_union	varItem;
typedef struct var_item_struct  varStruct;
typedef struct var_struct 	var;
typedef struct var_list_struct  varlist;

/* ---------- Srange structures lifted from "route.h" ---------------------------- */
typedef struct short_range_struct       srange;
typedef struct short_range_list_struct  srnglist;

struct short_range_struct
{
    int q1, q2, orient;
};

struct short_range_list_struct
{
    srange *object;
    srnglist *next;
};


/* --------------------- var type definition and supports -------------------------*/

#define X 1	/* The orientation of a given edge */
#define Y 2

#define XFUZZ 4
#define YFUZZ 4


/*--------------------------------------------------------------- 
 * Defined in var.c
 *---------------------------------------------------------------
 */

extern srange *create_srange();
/*     int q1, q2, or */


#endif //#ifndef VAR_H
